<template>
  <div class="login">
    <div class="header">
      <img :src="bgurl" />
    </div>
    <div class="content">
        <div class="inputbox">
        <div class="input-item input-type">
          <p class="title" :style="{color:'#727171'}">手机号</p>
          <div class="item">
          <input
            maxlength="11"
            :type=input[0].inputType
            :placeholder=input[0].placeholder
            @input="inputEmit($event,input[0])"
            style="color:#000"
          />
          </div>
        </div>
      </div>
      <div class="inputbox"  >
        <div class="input-item input-type"  > 
          <p class="title" :style="{color:'#727171'}">验证码</p>
          <div style="display:flex">
          <div class="item1">
          <input
            maxlength="6"
            :type=input[1].inputType
            :placeholder=input[1].placeholder
            @input="inputEmit($event,input[1])" 
          />
          </div>
          <div class="code" :style="{background:phonenumber.length===11?'#919191':'#b3b2b4'}">
            <v-code :phonenumber="phonenumber" @codeEmit="codeEmit" ></v-code>
          </div>
          </div>
          
        </div>
      </div>
      <div style="height:20rpx"></div>
      <v-footer :footer="'登录'" :status = "gainAuthCodeAction" @footerEmit="enter()"></v-footer>
    </div>
    <!--  -->
    <view class="myToast" v-show="nullHouse">发送验证码成功</view>
    <!--弹出栏-->
    <v-hintbox :hintbox="hintbox" @close="close" ></v-hintbox>
  </div>
</template>
<script type="text/ecmascript-6">
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'

  import store from '@/store'
  import config from '@/config'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import code from '@/components/code/code.vue'
  import footer from '@/components/footer/footer.vue'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  // import '../../../../static/css/reset.css';
  // import '../../../../static/css/components.scss';
  let mta= require('@/utils/mta_analysis.js');
  export default {
    data(){
      return{
        bgurl:config.url +'login.png',
        nullHouse:false,
        type:'phone',
        hintbox:{
          text :'',
          show : false
        },
        headerUrl: config.url+'pic-login-header.png',
        input:[
          {
            inputType:'number',
            title:'手机号',
            placeholder:'请输入手机号'
          },
          {
            inputType:'number',
            title:'验证码',
            placeholder:'请输入验证码'
          },
        ],
        // 验证码数据定义
        isGet: false,
        phonenumber: '', // 手机号码
        authcode:"", //输入的验证码
        sec: 60,
        status: false,
        bind:false,
        verificationcode: ''//接口验证码
      }
    },
    components:{
      // 'v-spaces':spaces,
      'v-footer':  footer,
      'v-code' : code,
      'v-hintbox' : hintbox
    },
    watch:{
      'store.state.Login.phonenumber'(){

      }
    },
    computed:{
      // 登录状态按钮禁用
      status(){
        console.log('status:'+this.gainAuthCodeAction);
        if( this.gainAuthCodeAction ){
          return true;
        }else{
          return false;
        }

      },
      // 获取验证码
      gainAuthCodeAction: function () {
        //第一步：验证手机号码
        return (this.phonenumber.length === 11 && this.authcode.length === 6);
      }

    },
    methods:{
      close(){
        this.hintbox.show = false;
        this.hintbox.text = '';
      },
      inputEmit(data,item){
        if(item.title === '手机号'){
          this.phonenumber = data.mp.detail.value;
        }
        if(item.title === '验证码'){
          this.authcode = data.mp.detail.value;
        }
        // console.log(data.mp.detail.value);
        return
      },
      login(){
        let that = this;
        let veevlink = VeevlinkData();
        if(that.authcode.length === 0){
          that.hintbox.show = true;
          that.hintbox.text = '验证码不能为空';
          return;
        }
        console.log(that.phonenumber+that.authcode+that.type);
        VeevlinkClient(
          '/member/login?openId='+veevlink.OpenId+'&phone='+that.phonenumber+'&verificationCode='+that.authcode+'&type='+that.type,
          'GET',
          '',
          function (data) {
            if(data.success){
              if(data.message === '验证码错误'){
                that.hintbox.show = true;
                that.hintbox.text = data.message;
              }else{
                if(data.records[0].isRegister){
                  config.href(config.mainPage.home);
                }else{
                  wx.getStorageSync('memberid',data.records[0].memberId);
                  wx.getStorageSync('isRegister',data.records[0].isRegister);
                  config.href(config.mainPage.info);

                }
                

              }
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = data.message;
            }
          },
          function (error) {
            console.log(error);
            that.hintbox.show = true;
            that.hintbox.text = error.message;
          })
      },
      //登录用户授权页
      enter: function () {
        // console.log('enter');
        // config.href(config.UserInfoImprove);
        //埋点
        let that = this;
        
        that.login();
//      },function () {
//        that.hintbox.show = true;
//        that.hintbox.text = '登录失败';
//      });
      },
      tel(data){
        let that = this;
        console.log(data);
        console.log(this.phonenumber);

        that.phonenumber =data.value;

//      return
//      let array = [ 'Login','phonenumber',data]
//      store.commit('add',array);
//      console.log(store.state.Login.phonenumber);
//      console.log(this.gainAuthCodeAction);
//       this.phonenumber = store.state.Login.phonenumber
      },
      code(data){
        this.authcode =data.value;
        console.log(this.authcode);
      },
      sss(data){
        console.log(data);
      },
      codeEmit(data){
        let that = this;
        console.log('da');
        this.nullHouse = true;
        setTimeout(function () {
           that.nullHouse=false;
           console.log(this.nullHouse);
       },1500)
      }
    },
    created(){
      // let array = [ 'Login','phonenumber','']
      // store.commit('add',array);
      console.log(config.url+'pic-login-header.png');
    },
    onLoad() {
      mta.Page.init();
    }
  }
</script>
<style>
page{
  width:100%;
  /* height:100%; */
}
</style>
<style  lang="scss"  type="text/scss" scoped >
  .login{
    width: 100%;
    .header{
      img{
        width: 100%;
        height: 7.5rem  ;
        
      }
    }
  }
  .content{
    width: 100%;
    margin-top:0.96rem;
    .inputbox{
      .input-item{
        margin: 0.36rem 0.7rem;
        p{
          font-size: 0.24rem;
        }
        .item{
           width: 6.1rem;
           background: #EAEAEA;
           height: 0.6rem;
           margin-top: 0.14rem;
           font-size: 0.24rem;
           line-height: 0.6rem;
        }
        .item1{
           width: 3.67rem;
           background: #EAEAEA;
           height: 0.6rem;
           margin-top: 0.14rem;
           font-size: 0.24rem;
           line-height: 0.6rem;
           display: flex;
           
        }
        .code{
             width:2.31rem;
             height: 0.6rem;
             line-height: 0.6rem;
             text-align: center;
             background: #919191;
             margin-left: 0.12rem;
             font-size: 0.24rem;
             margin-top: 0.15rem;

           }
        input{
          padding: 0.1rem 0.2rem;
        }
      }

      
    }
  }
  .myToast{
    width: 4rem;
    height: 0.6rem;
    line-height: 0.6rem;
    text-align: center;
    background: #919191;
    color: #fff;
    position: absolute;
    z-index: 999;
    top: 50%;
    left: 25%;
    border-radius: 0.05rem;
  }



</style>


